
<%= form_for [@developer,@estate] do |e| %>


    <%= e.label :estate_type %>
    <%= e.select :estate_type, options_for_select([['House' ,'house',],['Flat','flat']],@estate.estate_type) %><br>
    <%= e.label :surface %>
    <%= e.text_field :surface %><br>
    <%= e.label :room %>
    <%= e.text_field :room %><br>
    <%= e.label :bathroom %>
    <%= e.text_field :bathroom %><br>
    <%= e.label :garage %>
    <%= e.check_box :garage %><br>
    <%= e.label :city %>
    <%= e.text_field :city %><br>
    <%= e.label :street %>
    <%= e.text_field :street %><br>
    <%= e.label :price %>
    <%= e.text_field :price %><br>
    <%= e.label :picture %>
    <%= e.file_field :picture %><br>

    <% if @estate.errors.any? %>

        <% @estate.errors.full_messages.each do |msg| %>
            <ul>
              <li> <%= msg %> </li>
            </ul>
        <% end %>

    <% end %>
    <%= e.submit 'zapisz' %>
<% end %>